scala.tools.nsc.transform.patmat.ScalaLogic.TreesAndTypesDomain

# Var

#### class Var extends AbsVar

Source
  Logic.scala

Linear Supertypes
TreesAndTypesDomain.AbsVar, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Var
2. AbsVar
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Var(path: Tree, staticTp: Type)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Var to any2stringadd[Var] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Var, B)

   Implicit information
     This member is added by an implicit conversion from Var to ArrowAssoc[Var] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def describe: String

9. #### lazy val domain: Option[Set[Const]]

10. #### lazy val domainSyms: Option[Set[TreesAndTypesDomain.Sym]]

    Definition Classes
      Var → AbsVar

11. #### def ensuring(cond: (Var) ⇒ Boolean, msg: ⇒ Any): Var

    Implicit information
      This member is added by an implicit conversion from Var to Ensuring[Var] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (Var) ⇒ Boolean): Var

    Implicit information
      This member is added by an implicit conversion from Var to Ensuring[Var] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): Var

    Implicit information
      This member is added by an implicit conversion from Var to Ensuring[Var] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): Var

    Implicit information
      This member is added by an implicit conversion from Var to Ensuring[Var] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Var to StringFormat[Var] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### lazy val implications: collection.immutable.List[(TreesAndTypesDomain.Sym, collection.immutable.List[TreesAndTypesDomain.Sym], collection.immutable.List[TreesAndTypesDomain.Sym])]

    the information needed to construct the boolean proposition that encods the equality proposition (V = C)

    the information needed to construct the boolean proposition that encods the equality proposition (V = C)

    that models a type test pattern `_: C` or constant pattern `C`, where the type test gives rise to a TypeConst C, and the constant pattern yields a ValueConst C

    for exhaustivity, we really only need implication (e.g., V = 1 implies that V = 1 /\ V = Int, if both tests occur in the match, and thus in this variable's equality symbols), but reachability also requires us to model things like V = 1 precluding V = "1"

    Definition Classes
      Var → AbsVar

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def mayBeNull: Boolean

    Definition Classes
      Var → AbsVar

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### val path: Tree

28. #### def propForEqualsTo(c: Const): TreesAndTypesDomain.Prop

    Definition Classes
      Var → AbsVar

29. #### def registerEquality(c: Const): Unit

    Definition Classes
      Var → AbsVar

30. #### def registerNull(): Unit

    Definition Classes
      Var → AbsVar

31. #### val staticTpCheckable: Type

32. #### lazy val symForStaticTp: Option[TreesAndTypesDomain.Sym]

    Definition Classes
      Var → AbsVar

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      Var → AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def →[B](y: B): (Var, B)

    Implicit information
      This member is added by an implicit conversion from Var to ArrowAssoc[Var] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TreesAndTypesDomain.AbsVar

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Var to any2stringadd[Var]

### Inherited by implicit conversion StringFormat from Var to StringFormat[Var]

### Inherited by implicit conversion Ensuring from Var to Ensuring[Var]

### Inherited by implicit conversion ArrowAssoc from Var to ArrowAssoc[Var]

### Ungrouped